/*!
 * © 2026 Post Ajans | www.postajans.com.tr
 * Developer: Berat Celik
*/
@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap');
@import url('fonts.css');

:root {
  /* Color */
  --color-fff: #fff;
  --color-000: #000;

  --color-D3DA3D: #D3DA3D;
  --color-FCFCFC: #FCFCFC;
  --color-035A38: #035A38;
  --color-67B652: #67B652;
  --color-F7F7F7: #F7F7F7;
  --color-0B343F: #0B343F;
  --color-C2C4C1: #C2C4C1; /*Text Color*/
  --color-499A4A: #499A4A;
  --color-D9D9D9: #D9D9D9;
  --color-797979: #797979;
  --color-F5F5F5: #F5F5F5;
  --color-333618: #333618;

  /* Font Family */
  --ff-space: "Space Grotesk", sans-serif;
  --ff-nouvel: 'NouvelR', sans-serif;
}

body{ font-family: var(--ff-nouvel) !important;}
a {text-decoration: none !important;}

/*** Properties ***/
.site-container { width: 90%; margin: 0 auto;}
.site-margin{margin-top: 5%; margin-bottom: 5%;}
.site-padding{padding-top: 7%; padding-bottom: 7%;}
/*** Properties End ***/

/* Font-Sizes */ 
.fs-64 { font-size: clamp(36px, 3.2vw, 64px); line-height: 100%; }
.fs-48 { font-size: clamp(28px, 2.4vw, 48px); line-height: 100%; }
.fs-40 { font-size: clamp(26px, 2.0vw, 40px); line-height: 100%; }
.fs-36 { font-size: clamp(24px, 1.8vw, 36px); line-height: 100%; }
.fs-30 { font-size: clamp(22px, 1.5vw, 30px); line-height: 100%; }
.fs-24 { font-size: clamp(18px, 1.2vw, 24px); line-height: 120%; }
.fs-20 { font-size: clamp(16px, 1.0vw, 20px); line-height: 130%; }
.fs-16 { font-size: clamp(14px, 0.9vw, 16px); line-height: 140%; }
.fs-14 { font-size: clamp(13px, 0.8vw, 14px); line-height: 140%; }
.fs-12 { font-size: clamp(12px, 0.7vw, 12px); line-height: 140%; }

.fw-extra-bold{font-weight: 900 !important;}
/* Font Sizes End */ 

/* Font-Family */
.ff-space{font-family: "Space Grotesk", sans-serif !important;}
.ff-nouvel{font-family: 'NouvelR', sans-serif !important;}
/* Font-Family End */

/* Colors */
/* COLOR CLASSES */
.color-fff { color: var(--color-fff); }
.color-000 { color: var(--color-000); }
.color-67B652 { color: var(--color-67B652); }
.color-D3DA3D { color: var(--color-D3DA3D); }
.color-499A4A { color: var(--color-499A4A); }
.color-035A38 { color: var(--color-035A38); }
.color-C2C4C1 { color: var(--color-C2C4C1); }
.color-F5F5F5 { color: var(--color-F5F5F5); }
.color-333618 { color: var(--color-333618); }
.color-FCFCFC { color: var(--color-FCFCFC); }

/* BACKGROUND CLASSES */
.bg-fff { background-color: var(--color-fff); }
.bg-000 { background-color: var(--color-000); }
.bg-035A38 { background-color: var(--color-035A38); }
.bg-F7F7F7 { background-color: var(--color-F7F7F7); }
.bg-67B652 { background-color: var(--color-67B652); }
.bg-D3DA3D { background-color: var(--color-D3DA3D); }
/* Colors End */

/* Buttons */
.btn-one {padding: 12px 25px; border-radius: 30px; transition: all .4s;} 

.btn-035A38{background-color: var(--color-035A38); border: 1px solid var(--color-035A38); color: var(--color-FCFCFC);}
.btn-border-035A38{background-color: transparent; border: 1px solid var(--color-035A38); color: var(--color-035A38);}
.btn-border-D3DA3D{background-color: transparent; border: 1px solid var(--color-D3DA3D); color: var(--color-D3DA3D);}

.btn-035A38:hover, 
.btn-border-035A38:hover,
.btn-border-D3DA3D:hover
{background-color: var(--color-499A4A); border: 1px solid var(--color-499A4A); color: var(--color-FCFCFC);}


.btn-yellow-border-035A38{background-color: var(--color-035A38); border: 1px solid var(--color-D3DA3D); color: var(--color-D3DA3D);}
.btn-yellow-border-035A38:hover{background-color: var(--color-499A4A); border: 1px solid var(--color-499A4A); color: var(--color-FCFCFC);}

.circle-btn{
  width: 43px;
  height: 43px;
  border-radius: 28.7px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all .4s ease;
}
/* Buttons End */

/* Menu */
.navbar {
  background-color: rgba(247, 247, 247, 0.75) !important;
  backdrop-filter: blur(5px);
  height: 150px;
  position: absolute !important;
  top: 0;
  right: 0;
  left: 0;
  z-index: 99;
}
.logo {width: 190px;}
.navbar .nav-item {padding: 0 15px; font-size: 14px;}
.navbar .nav-link {color: var(--color-035A38); transition: all .4s !important;}

.nav-contact {right: 5%;}
.nav-contact a{color: var(--color-67B652) !important; font-weight: 700;}
.nav-contact i{color: var(--color-035A38) !important;}
.dropdown-menu {
  position: absolute;
  z-index: -1;
  top: 100%;
  left: -40%;
  border-radius: 14px !important;
  background-color: rgba(255,255,255,1) !important;
  /* backdrop-filter: blur(6px) !important;
  -webkit-backdrop-filter: blur(6px) !important; */
  border: 1px solid var(--color-F5F5F5) !important;
  transition: all .4s !important;
  font-family: var(--ff-nouvel);
}
.dropdown-item{
  text-align: center !important;
}
.dropdown-item:focus,.dropdown-item:hover {
  transition: all .4s !important;
  background-color: transparent !important
}
.nav-item.dropdown:hover .dropdown-menu {
  display: block !important;
  position: absolute;
  z-index: 10;
  min-width: 210px;
}
.navbar-toggler {
  padding: 0;
  line-height: 0;
  border: none !important;
  background-color: var(--white) !important;
  border-radius: 50px !important;
  width: 48px !important;
  height: 48px !important;
}
.navbar-toggler:focus {box-shadow: none !important;}


/* Mega Menu */
.product-mega {position: static !important;}
.mega-menu {
  position: absolute;
  left: 0;
  width: 100%;
  top: calc(100% + 50px);
  opacity: 0;
  visibility: hidden;
  transform: translateY(20px);
  transition: all .4s ease;
  /* padding: 40px 0; */
  z-index: 99;
}
.mega-container {
  width: 90%;
  margin: auto;
  margin-top: -30px;
  background: rgba(255,255,255,1);
  /* backdrop-filter: blur(8px); */
  /* -webkit-backdrop-filter: blur(8px); */
  border-radius: 18px;
  padding: 40px;
  box-shadow: 0 20px 40px rgba(0,0,0,.1);
}
.product-mega:hover .mega-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
/* Mega Menu End */

.search-btn{
  background-color: var(--color-67B652);
  width: 42px; height: 42px;
  border-radius: 50%;
  color: var(--color-fff) !important;
  border: none;
}
.flag-wrap{
  width: 42px;
  height: 42px;
  z-index: 10;
  transition: all .4s;
}
.flag-border{
  background-color: var(--color-D9D9D9);
  border: 1px solid var(--color-D9D9D9);
  border-radius: 42px;
  position: relative;
  overflow: hidden;
  transition: all 1s;
}
.flag-border:hover{background-color: var(--color-D9D9D9);}
.flag-border > a img{
  width: 42px;
  height: 42px;
  padding: 10px;
  display: block;
  margin-left: -1px;
}
.langs{
  display: flex;
  flex-direction: column;
  max-height: 0;
  overflow: hidden;
  transition: all .4s
}
.flag-border:hover .langs{
  max-height: 300px;
  transition: all 1s;
}
.langs img{
  width: 42px;
  height: 42px;
  padding: 10px;
  margin-left: -1px;
}

#mobileMenu{
  background-color: rgba(247, 247, 247, 0.75) !important;
  backdrop-filter: blur(5px);
}
/* Menu End */

/* Slider */
.main-slider, .slider-item, .slider-item img, .slider-item video{ height: 768px; overflow: hidden;}
.slider-img{ object-fit: cover; }
.slider-item video{ object-fit: cover; object-position: center center; width: 100vw}


.slider-text-box{
  position: absolute;
  left: 20%;
  top: 30%;
  width: 50%;
}
.slider-divider{
  position: absolute;
  left: calc(20% - 40px);
  top: calc(30% + 5px);
  z-index: 2;
}
.stick{
  width: 1px;
  height: 400px;
  background-color: var(--color-0B343F);
  margin-left: 8px;
}

.content-divider, .banner-divider{
  position: absolute;
  left: -40px;
  z-index: 2;
}
.content-divider .stick{
  width: 1px;
  height: 100px;
  background-color: var(--color-67B652);
  margin-left: 8px;
}
.banner-divider .stick{
  width: 1px;
  height: 450px;
  background-color: var(--color-67B652);
  margin-left: 8px;
}

.slider-bottom{
  position: absolute;
  left: 20%;
  bottom: 100px;
  z-index: 2;
  width: 60%;
}
.slider-btn{
  width: 42px; height: 42px;
  background-color: transparent;
  border: 1px solid var(--color-fff);
  color: var(--color-fff);
  border-radius: 50%;
  display: flex; align-items: center; justify-content: center;
} 
.social-media a{
  background-color: var(--color-FCFCFC);
  width: 35px; height: 35px;
  color: var(--color-797979);
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 5px;
  border-radius: 50%;
  transition: all .4s;
}
.social-media a:hover{background-color: var(--color-499A4A); color: var(--color-fff);}
/* Slider End */

/* Service Card */
.service-card{
  border-radius: 10px;
  height: 225px;
  position: relative;
  overflow: hidden;
}

.service-card::before {
  content: "";
  position: absolute;
  top: -50%;
  left: -50%;
  width: 200%;
  height: 200%;

  background: linear-gradient(
    -120deg,
    rgba(255,255,255,0.0) 0%,
    rgba(255,255,255,0.4) 50%,
    rgba(255,255,255,0.0) 100%
  );

  transform: rotate(-25deg) translateX(-100%);
  transition: transform 0.8s ease;

  z-index: 2;
  pointer-events: none;
}

.service-card:hover::before {
  transform: rotate(-25deg) translateX(100%);
}
.dark-green{
  background: linear-gradient(-261deg, #035A38 0%, #06C077 100%);
  box-shadow: 0 0 45px 0 rgba(5, 150, 67, 1) inset, 0 4px 10px 0 rgba(0, 0, 0, 0.10);
}
.lime-green{
  background: linear-gradient(261deg, #e3e74f 0%, #e4e947 100%);
  box-shadow: 0 0 45px 0 rgba(228, 231, 128, 0.75) inset, 0 4px 10px 0 rgba(0, 0, 0, 0.10);
}
.green{
  background: linear-gradient(261deg, #7ed367 0%, #79d661 100%);
  box-shadow: 0 0 45px 0 rgba(140, 212, 122, 0.75) inset, 0 4px 10px 0 rgba(0, 0, 0, 0.10);
}
/* Service Card End */

/* Scrolling Text */
.scroll-wrapper {
  width: 100vw;
  overflow: hidden;
  position: relative;
  z-index: 1;
}
.scrolling-text {
  display: inline-flex;
  white-space: nowrap;
  animation: marquee 25s linear infinite;
  will-change: transform;
  color: var(--color-F5F5F5);
  font-size: 180px;
}
.scrolling-text i {
  display: inline-block;
  animation: spin 2s linear infinite;
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(-360deg);
  }
}
@keyframes marquee {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}
/* Scrolling Text End */

/* Info Area */
.info-area{
  height: 520px;
  display: flex;
  align-items: center;
}
/* Info Area End */

/* Parallax */
.parallax-video-container {
  position: relative;
  width: 100%;
  height: 750px;
  overflow: hidden;
}

.video-mask {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  clip-path: inset(0 0 0 0); 
}

.parallax-video-container video {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
  pointer-events: none;
}

.parallax-video-container .overlay-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
  text-align: center;
  z-index: 2;
}
/* Parallax End */ 

/* Newsletter */
.newsletter input{
  border-radius: 28px;
  border: 1px solid var(--color-F7F7F7);
  padding: 12px 25px;
  width: 100%;
}
.newsletter input:focus{
  border: 1px solid var(--color-035A38);
  outline: none;
}
/* Newsletter End */

/* News - Media */
.media-card{
  width: 100%;
  height: 500px;
  border-radius: 6px;
}
.media-card img{
  width: 100%;
  height: 500px;
  object-fit: cover;
  border-radius: 6px;
}
.media-overlay{
  background-color: var(--color-D3DA3D);
  mix-blend-mode: color;
  position: absolute;
  border-radius: 6px;
  z-index: 2;
  width: 100%;
  height: 500px;
  left: 0;
  top: 0;
}
/* News - Media End */

/* Footer */
footer a{color: #50532A; transition: all .4s;}
footer a:hover{color: var(--color-2E4049);}
.footer-social-media a{
  margin: 0 10px;
  font-size: 20px;
  color: #50532A;
}
.footer-social-media a .ph-arrow-circle-up{
  font-size: 60px;
}
/* Footer End */

/* SearchModal */
#searchModal .modal-content {
  background-color: var(--color-67B652) !important;
  border: 0;
  width: 100%;
  top: 150px;
  height: 150px;
  max-height: 150px;
}
.modal-backdrop.show{opacity: 0 !important;}

.search-form{position: relative;}
.search-form input{
  border-radius: 29px;
  border: 1px solid var(--color-499A4A);
  background-color: var(--color-499A4A);
  padding: 10px 25px;
  width: 100%;
  color: var(--color-fff);
}
.search-form input::placeholder{
  color: var(--color-67B652);
}

.search-form input:focus{
  box-shadow: 0;
  outline: none;
}
/* SearchModal End */

/* Banner */
.banner{
  width: 100%;
  height: 300px;
}
.banner img{
  width: 100%;
  height: 300px;
  object-fit: cover;
}
.banner-content{
  height: 300px;
  width: 70%;
  position: absolute;
  z-index: 2;
  left: 50%;
  transform: translateX(-50%);
}
.banner-name{
  background-color: var(--color-67B652);
  color: var(--color-FCFCFC);
  border-radius: 8px;
  padding: 10px 20px;
  display: inline-block;
  position: absolute;
  left: 0;
  top: 50%;
}
.banner-bread{
  border-radius: 8px 8px 0 0;
  background: var(--color-D3DA3D,);
  color: var(--color-FCFCFC);
  right: 0;
  bottom: 0;
  text-align: center;
  position: absolute;
  display: flex;
  z-index: 5;
  padding: 15px 20px !important;
}
.banner li+li::before {content: "|"; margin: 0 10px;}
.banner li a, .banner li p{
  color: var(--color-FCFCFC);
  transition: all .4s;
}
.banner li a:hover{color: var(--color-035A38);}
/* Banner End */


/* Corporate Page */
.corporate-img-area{height: 750px;}
/* Corporate Page End */

/** Contact Page **/
.contact-info i{
  color: var(--color-67B652) !important;
}
.contact-form input, .contact-form textarea{
  width: 100%;
  border: 1px solid var(--color-C2C4C1);
  padding: 10px 25px;
  border-radius: 30px;
}
.contact-form input:focus, .contact-form textarea:focus{
  border: 1px solid var(--color-035A38);
  outline: none;
}
.contact-info a{transition: all .4s; color: var(--color-67B652);}
.contact-info a:hover{color: var(--color-035A38);}
/** Contact Page End **/


/* ===================== */
/* CATALOG PAGE */
/* ===================== */
.catalog-card{
  border: 1.258px solid #CFCFCF;
  height: 400px;
  text-align: center;
  transition: .3s;
}
.catalog-card:hover{
  outline: 2px solid var(--color-035A38);
  border: 1.258px solid var(--color-035A38);
  border-radius: 11px;
}

.catalog-card img{
  height: 215px;
  width: 215px;
  object-fit: contain;
}
/* CATALOG PAGE END */